Quassel IRC - Bug #482

Rightclick in bufferlist is misbehaving
01/14/2009 01:21 AM - sph

Status: Resolved Start date: 01/14/2009
Priority: Normal Due date: 02/19/2009
Assignee: Sputnick % Done: 100%
Category: Quassel Client Estimated time: 0.00 hour
Target version: 0.4.0

Version: 0.3.1+ 0S: Any
Description

¢ Rightclick on a nickname shows the menu you expect to see for an active channel.
¢ Clicking 'part' in the menu (both channel or nickname) will part the lastly selected channel instead of the current one.

However, after the parting, it starts working correctly again on the next rightclicks.

(Git aa5df14)

Associated revisions

Revision 7ff0e773f78ed00e5f039fa8b2ec2913b8bc84a5 - 01/15/2009 08:45 PM - Manuel Nickschas

Properly initialize _messageFilter in all cases, fixes #482

Thanks to EgS for pointing me to the root of the issue.

Revision 7ff{0e773f78ed00e5f039fa8b2ec2913b8bc84a5 - 01/15/2009 08:45 PM - Manuel Nickschas

Properly initialize _messageFilter in all cases, fixes #482

Thanks to EgS for pointing me to the root of the issue.

Revision 7ff0e773 - 01/15/2009 08:45 PM - Manuel Nickschas

Properly initialize _messageFilter in all cases, fixes #482

Thanks to EgS for pointing me to the root of the issue.

History

#1 - 01/15/2009 01:47 AM - EgS
- Due date set to 02/19/2009

- Assignee set to Sputnick

seems like some state in the action provider isn't properly reset
here's how to reproduce:

start a fresh client

select a channel

right klick on the chatview somehwere in the text

don't select anything

(aka: don't trigger an action in the menu)

from now on you have a false context menu in the nicklist

<EgS> anyone else can reproduce it with those steps?

<pixelma> yep, "worked" here (could reproduce)
<sph> EgS: yep, reproduceable

#2 - 01/15/2009 12:00 PM - Sputnick
- Status changed from New to Assigned

- Target version set to 0.4.0

Confirmed, thanks for telling me how to reproduce that issue reliably.
#3 - 01/15/2009 08:50 PM - Sputnick
- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

Applied in changeset 7{f0e773f78ed00e5f039fa8b2ec2913b8bc84a5.
